# 关于科学数据处理的统计学习教程

Statistical learning

[Machine learning](https://en.wikipedia.org/wiki/Machine_learning) is a technique with a growing importance, as the size of the datasets experimental sciences are facing is rapidly growing. Problems it tackles range from building a prediction function linking different observations, to classifying observations, or learning the structure in an unlabeled dataset.

This tutorial will explore _statistical learning_, the use of machine learning techniques with the goal of [statistical inference](https://en.wikipedia.org/wiki/Statistical_inference): drawing conclusions on the data at hand.

Scikit-learn is a Python module integrating classic machine learning algorithms in the tightly-knit world of scientific Python packages ([NumPy](http://www.scipy.org), [SciPy](http://www.scipy.org), [matplotlib](http://matplotlib.org)).

*   [机器学习: scikit-learn 中的设置以及预估对象](settings.html)
    *   [数据集](settings.html#id1)
    *   [预估对象](settings.html#id2)
*   [监督学习：从高维观察预测输出变量](supervised_learning.html)
    *   [最近邻和维度惩罚](supervised_learning.html#id2)
    *   [线性模型：从回归到稀疏](supervised_learning.html#id6)
    *   [支持向量积(SVMs)](supervised_learning.html#svms)
*   [模型选择：选择估计量及其参数](model_selection.html)
    *   [分数和交叉验证分数](model_selection.html#id2)
    *   [交叉验证生成器](model_selection.html#cv-generators-tut)
    *   [网格搜索和交叉验证估计量](model_selection.html#id4)
*   [无监督学习: 寻求数据表示](unsupervised_learning.html)
    *   [聚类: 对样本数据进行分组](unsupervised_learning.html#id2)
    *   [分解: 将一个信号转换成多个成份并且加载](unsupervised_learning.html#id6)
*   [把它们放在一起](putting_together.html)
    *   [模型管道化](putting_together.html#id2)
    *   [用特征面进行人脸识别](putting_together.html#id3)
    *   [开放性问题: 股票市场结构](putting_together.html#id4)
*   [寻求帮助](finding_help.html)
    *   [项目邮件列表](finding_help.html#id2)
    *   [机器学习从业者的 Q&A 社区](finding_help.html#q-a)